Slackwarearm-14.0 ChangeLog (2012-10-04)

Thu Oct 4 19:15:56 UTC 2012

/INSTALL_KIRKWOOD.TXT: Amended.
Minor adjustments in the U-Boot configuration parameters to assume that the
'Plug' devices are running the upstream 'DENX' U-Boot rather than the older
releases from 'Marvell'. The Marvell versions of U-Boot (and even some older
versions of the upstream releases) are not so robust in some situations, so it
makes sense (particularly for new Slackware ARM users) to upgrade their U-Boot
to a known-good release.

If you are using a GuruPlug, or SheevaPlug eSATA you are recommended to upgrade
U-Boot if it's older than the recommended version. This is due to a bug in
older U-Boot releases that may cause trouble booting newer Linux kernels such
as the version in Slackware ARM 14.0.

However, if you are happy with the version of U-Boot on your plugs, there's no
need to upgrade U-Boot: if you're going to reformat and reinstall with the same
disk partitioning scheme, you can boot the Slackware installer and reinstall
without changing any U-Boot configuration. If you've already installed
Slackware 14.0 on your system and it's working, you won't need to upgrade
U-Boot unless you are having some intermittent problems and would like to see
whether these are fixed by the new version.

Martin Michlmayr from Debian has always maintained a page with the stable
release of U-Boot for the Plugs, so it makes sense to me be refer to his
work in this area.

For details about upgrading U-Boot on your Plug, see
http://www.armedslack.org/maint_kirkwooduboot/

Thanks to Michael Langfinger for the suggestion.
  • news/2012/10/04/slackwarearm-14.0-changelog.txt
  • Last modified: 4 years ago
  • by Giuseppe Di Terlizzi